# Interface methods for submodule: EuclideanDistanceMetric
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: EuclideanDistanceMetric
class EuclideanDistanceMetricProxy():
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	@overload
	def Evaluate(self, x: Sequence[float]) -> float:
		""""""
		...

	@overload
	def Evaluate(self, x1: Sequence[float], x2: Sequence[float]) -> float:
		""""""
		...

	@overload
	def Evaluate(self, a: float, b: float) -> float:
		""""""
		...

